Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.optaplanner.core.api.domain.value
Annotation Type ValueRange

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface ValueRange

Specifies which planning values can be used for a planning variable. This is specified on a getter of a java bean property which already has a `PlanningVariable` annotation.

Required Element Summary
`ValueRangeType` | `type` This is commonly `ValueRangeType.FROM_SOLUTION_PROPERTY`.

Optional Element Summary
`boolean` | `excludeUninitializedPlanningEntity`
`String` | `planningEntityProperty` The property name for which exists a getter on the planning entity that returns a `Collection`.
`String` | `solutionProperty` The property name for which exists a getter on the `Solution` that returns a `Collection`.

Element Detail

### type

    public abstract ValueRangeType type

  This is commonly `ValueRangeType.FROM_SOLUTION_PROPERTY`.

  Returns:
    never null

### solutionProperty

    public abstract String solutionProperty

  The property name for which exists a getter on the `Solution` that returns a `Collection`.

  Returns:
    never null for `ValueRangeType.FROM_SOLUTION_PROPERTY`, always null otherwise.
  Default:
    ""

### planningEntityProperty

    public abstract String planningEntityProperty

  The property name for which exists a getter on the planning entity that returns a `Collection`.

  Returns:
    never null for `ValueRangeType.FROM_PLANNING_ENTITY_PROPERTY`, always null otherwise.
  Default:
    ""

### excludeUninitializedPlanningEntity

    public abstract boolean excludeUninitializedPlanningEntity

  Returns:
    never true for `ValueRangeType.UNDEFINED`
  Default:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.